format_version: '1.0'


repository_url: https://github.com/openwall/john
issue_url: https://github.com/openwall/john/issues/4594


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: 89e73fa
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: 9b905cf2b99a22fb7166481e5e5f9c98a9111875
    - input_file: 'b-partial-2.diff'
      commit_sha1: 3765e178acd328c406e6b8d6ab51834ae83dfe7a
    - input_file: 'b-partial-3.diff'
      commit_sha1: 6813ddccce62dafb2ffa9e937990c478f17ebb48
    - input_file: 'b-partial-4.diff'
      commit_sha1: 264ccdc2e99507ec6c9122a643430e2fea9f89a6

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: f44e2814df85abec6afb8adca7d6e1ae2c1bfb96

options:
  language: C
